Bug 1175193 - (CVE-2020-14349) VUL-0: CVE-2020-14349: postgresql10,postgresql12: Set a secure search_path in logical replication walsenders and apply workers
(CVE-2020-14349)
VUL-0: CVE-2020-14349: postgresql10,postgresql12: Set a secure search_path in...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/265112/
CVSSv3.1:SUSE:CVE-2020-14349:7.8:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-12 15:48 UTC by Marcus Meissner
Modified: 2021-08-11 15:27 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 2 Marcus Meissner 2020-08-14 05:37:57 UTC
is public

https://www.postgresql.org/support/security/
Comment 3 OBSbugzilla Bot 2020-08-14 06:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1175193) was mentioned in
https://build.opensuse.org/request/show/826605 Factory / postgresql10
https://build.opensuse.org/request/show/826607 Factory / postgresql11
https://build.opensuse.org/request/show/826609 Factory / postgresql12
Comment 4 OBSbugzilla Bot 2020-08-14 08:20:17 UTC
This is an autogenerated message for OBS integration:
This bug (1175193) was mentioned in
https://build.opensuse.org/request/show/826619 15.2 / postgresql11
Comment 5 Swamp Workflow Management 2020-08-17 19:13:09 UTC
openSUSE-SU-2020:1228-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1148643,1171924,1175193,1175194
CVE References: CVE-2020-14349,CVE-2020-14350
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    postgresql-12.0.1-lp152.3.3.2, postgresql10-10.13-lp152.2.3.1, postgresql11-11.9-lp152.3.3.1, postgresql12-12.3-lp152.3.4.1, postgresql96-9.6.19-lp152.2.3.1
Comment 6 Swamp Workflow Management 2020-08-18 13:16:38 UTC
SUSE-SU-2020:2264-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1175193,1175194
CVE References: CVE-2020-14349,CVE-2020-14350
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    postgresql10-10.14-4.25.1
SUSE Linux Enterprise Server 15-LTSS (src):    postgresql10-10.14-4.25.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    postgresql10-10.14-4.25.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    postgresql10-10.14-4.25.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2020-08-18 13:22:52 UTC
SUSE-SU-2020:2265-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1175193,1175194
CVE References: CVE-2020-14349,CVE-2020-14350
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    postgresql12-12.4-8.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    postgresql12-12.4-8.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-08-18 19:18:56 UTC
SUSE-SU-2020:2271-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1175193,1175194
CVE References: CVE-2020-14349,CVE-2020-14350
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    postgresql12-12.4-3.11.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    postgresql12-12.4-3.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2020-08-22 04:14:36 UTC
openSUSE-SU-2020:1244-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1175193,1175194
CVE References: CVE-2020-14349,CVE-2020-14350
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    postgresql12-12.4-lp152.3.7.1
Comment 10 Swamp Workflow Management 2020-08-22 04:16:25 UTC
openSUSE-SU-2020:1243-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1175193,1175194
CVE References: CVE-2020-14349,CVE-2020-14350
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    postgresql12-12.4-lp151.6.1
Comment 11 Swamp Workflow Management 2020-08-27 22:22:59 UTC
SUSE-SU-2020:2355-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1175193,1175194
CVE References: CVE-2020-14349,CVE-2020-14350
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    postgresql10-10.14-8.19.1
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    postgresql10-10.14-8.19.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    postgresql10-10.14-8.19.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    postgresql10-10.14-8.19.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2020-09-01 16:28:16 UTC
openSUSE-SU-2020:1312-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1175193,1175194
CVE References: CVE-2020-14349,CVE-2020-14350
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    postgresql10-10.14-lp151.2.18.1
Comment 13 Swamp Workflow Management 2020-09-02 22:14:08 UTC
openSUSE-SU-2020:1326-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1175193,1175194
CVE References: CVE-2020-14349,CVE-2020-14350
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    postgresql10-10.14-lp152.2.6.2
Comment 15 Swamp Workflow Management 2020-12-04 20:15:56 UTC
SUSE-SU-2020:3630-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1175193,1175194,1178666,1178667,1178668
CVE References: CVE-2020-14349,CVE-2020-14350,CVE-2020-25694,CVE-2020-25695,CVE-2020-25696
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    postgresql12-12.5-3.9.3
SUSE OpenStack Cloud Crowbar 8 (src):    postgresql12-12.5-3.9.3
SUSE OpenStack Cloud 9 (src):    postgresql12-12.5-3.9.3
SUSE OpenStack Cloud 8 (src):    postgresql12-12.5-3.9.3
SUSE OpenStack Cloud 7 (src):    postgresql12-12.5-3.9.3
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    postgresql12-12.5-3.9.1, postgresql12-12.5-3.9.3
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    postgresql12-12.5-3.9.3
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    postgresql12-12.5-3.9.3
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    postgresql12-12.5-3.9.3
SUSE Linux Enterprise Server 12-SP5 (src):    postgresql12-12.5-3.9.1, postgresql12-12.5-3.9.3
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    postgresql12-12.5-3.9.3
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    postgresql12-12.5-3.9.3
SUSE Linux Enterprise Server 12-SP3-BCL (src):    postgresql12-12.5-3.9.3
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    postgresql12-12.5-3.9.3
SUSE Linux Enterprise Server 12-SP2-BCL (src):    postgresql12-12.5-3.9.3
SUSE Enterprise Storage 5 (src):    postgresql12-12.5-3.9.3
HPE Helion Openstack 8 (src):    postgresql12-12.5-3.9.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Marcus Meissner 2021-08-11 15:27:24 UTC
done